glab(1)

NAME

glab-ci-run - Create or run a new CI/CD pipeline.

SYNOPSIS

glab ci run [flags]

DESCRIPTION

Create or run a new CI/CD pipeline.

OPTIONS

-b, --branch=""
    Create pipeline on branch/ref .

--variables=[]
    Pass variables to pipeline in format :.

--variables-env=[]
    Pass variables to pipeline in format :.

--variables-file=[]
    Pass file contents as a file variable to pipeline in format :.

-f, --variables-from=""
    JSON file containing variables for pipeline execution.

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
    glab ci run
    glab ci run -b main
    glab ci run -b main --variables-env key1:val1
    glab ci run -b main --variables-env key1:val1,key2:val2
    glab ci run -b main --variables-env key1:val1 --variables-env key2:val2
    glab ci run -b main --variables-file MYKEY:file1 --variables KEY2:some_value

SEE ALSO

glab-ci(1)